<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/views/templates/default/template.xhtml">

    <ui:define name="content"> 
        <div class="ui-g">
            <div class="ui-g-12">
            	<h:form>
            		<p:panel id="panelClientes" header="listado de clientes">
            			<p:dataTable  value="${modelo.listado}" var="fila" empyMessage="sin registros"
            				rowKey="${fila.id}" selection="${modelo.seleccionado}" selectionMode="single"
            				paginator="true" rows="15" paginatorPosition="bottom" paginatorAlwaysVisible="false"
            				disabledTextSelection="false">
            				<p:column headerText="ID" width="75"
            					filterable="true" filterBy="${fila.id}" filterMatchMode="contains" filterStyle="width: 90%" 
            					sortable="true" sortBy="${fila.id}" > 
            					${fila.id}
            					</p:column>
            					
            					<p:column headerText="primer apellido" width="150"
            					filterable="true" filterBy="${fila.primerApellido}" filterMatchMode="contains" filterStyle="width: 90%" 
            					sortable="true" sortBy="${fila.primerApellido}">
            						${fila.primerApellido}
            					</p:column>
            					
            					<p:column headerText="segundo apellido" width="150"
            					filterable="true" filterBy="${fila.segundoApellido}" filterMatchMode="contains" filterStyle="width: 90%" 
            					sortable="true" sortBy="${fila.segundoApellido}">
            						${fila.segundoApellido}
            					</p:column>
            					
            					<p:column headerText="Nombre" width="150"
            					filterable="true" filterBy="${fila.nombre}" filterMatchMode="contains" filterStyle="width: 90%" 
            					sortable="true" sortBy="${fila.nombre}">
            						${fila.nombre}
            					</p:column>
            					
            					<p:column headerText="fecha de naciemiento" width="150"
            					filterable="true" filterBy="${fila.fechaNacimientoT}" filterMatchMode="contains" filterStyle="width: 90%" 
            					sortable="true" sortBy="${fila.fechaNacimientoT}">
            						${fila.fechaNacimientoT}
            					</p:column>
            					
            			
            			</p:dataTable>
            			
            			<f:facet name="footer">
            			<p:commandButton value="Agregar" action="agregar" icon="ui-icon-add" />
            			<p:commandButton value="Editar" action="editar" icon="ui-icon-edit" disabled="${modelo.seleccionado == null}" />
            			<p:commandButton value="Eliminar" action="eliminar" icon="ui-icon-delete" 
            			update="${p:resolveFirstComponentWithId('panelClientes', view).clientId}" disabled="${modelo.seleccionado == null}">
            				<p:confirm header="eliminar cliente" message="este seguro?" />
            			</p:commandButton>
            			</f:facet>
            			</p:panel>
            			
            			<p:confirmDialog global="true" >
            				<p:commandButton value="si" icon="ui-icon-check" styleClass="ui-confirmdialog-yes" />
            				<p:commandButton value="no" icon="ui-icon-close" styleClass="ui-confirmdialog-no" />
            			</p:confirmDialog>
            			
            			
            			
            			
            		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
            	</h:form>
            </div>
        </div>
    </ui:define>
</ui:composition>